Update Identity | Orwel Docs
Docs

Update Identity

Update an existing visitor identity

PATCH https://api.orwel.io/api/v1/identities/{id}

Path Parameters

idstringpathrequired

Identity ID (UUID)

Request Body

namestringbody

Full name

traitsobjectbody

Custom traits

is_favoritebooleanbody

Mark as favorite

Request
curl -X PATCH "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"is_favorite": true}'
Response
{
  "data": {
    "id": "ee0e8400-e29b-41d4-a716-446655440009",
    "is_favorite": true
  }
}